The dark powered snippet plugin for neovim
Switch branches/tags
Nothing to show
Clone or download
Latest commit bdc945c Jul 16, 2018
Permalink
Failed to load latest commit information.
autoload Add event handler Sep 24, 2017
plugin Add dummy files Aug 6, 2017
rplugin/python3 Add the error check Jan 28, 2018
test Add default Sep 18, 2017
.gitignore Fix test files Aug 6, 2017
.travis.yml Python 3.6 only Jul 16, 2018
LICENSE Initial version Jul 27, 2017
Makefile Use mypy instead Sep 8, 2017
README.md Update README May 20, 2018

README.md

deoppet.nvim

Warning: This is the vaporware! It is not implemented yet.

Deoppet is the abbreviation of "dark powered neo-snippet". It provides the snippet expansion.

Installation

Note: deoppet requires Neovim(latest is recommended) with Python3 enabled and https://github.com/neovim/neovim/pull/8416. See requirements if you aren't sure whether you have this.

  1. Extract the files and put them in your Neovim directory (usually $XDG_CONFIG_HOME/nvim/).
  2. Execute the :UpdateRemotePlugins and restart Neovim.

Note: deoppet does not work in Vim8 environment.

For vim-plug

Plug 'Shougo/deoppet.nvim', { 'do': ':UpdateRemotePlugins' }

For dein.vim

call dein#add('Shougo/deoppet.nvim')

Requirements

deoppet requires Neovim with if_python3. If :echo has("python3") returns 1, then you're done; otherwise, see below.

You can enable Python3 interface with pip:

pip3 install neovim

Note: deoppet needs neovim-python ver.0.1.8+.

You need update neovim-python module.

pip3 install --upgrade neovim

If you want to read the Neovim-python/python3 interface install documentation, you should read :help provider-python and the Wiki.

Note: Python3 must be enabled before updating remote plugins

If Deoppet was installed prior to Python support being added to Neovim, :UpdateRemotePlugins should be executed manually.

Screenshots

Configuration Examples